# $Revision: 1.47 $, $Date: 2011/05/13 23:16:25 $
Summary:	GNU OCR
Summary(pl.UTF-8):	Program GNU do OCR
Name:		gocr
Version:	0.49
Release:	1
License:	GPL v2+
Group:		Applications/Graphics
Source0:	http://www-e.uni-magdeburg.de/jschulen/ocr/%{name}-%{version}.tar.gz
# Source0-md5:	4e527bc4bdd97c2be15fdd818857507f
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-lib64.patch
URL:		http://jocr.sourceforge.net/
BuildRequires:	autoconf >= 2.13
BuildRequires:	automake
BuildRequires:	netpbm-devel
BuildRequires:	tetex-dvips
BuildRequires:	tetex-latex
Requires:	netpbm-progs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GOCR is an optical character recognition program, released under the
GNU General Public License. It reads images in many formats (pnm, pbm,
pgm, ppm, some pcx and tga image files (or PNM from stdin); if
pnm-tools installed and running linux-like system you can also use
pnm.gz, pnm.bz2, png, jpg, tiff, gif, bmp and others) and outputs a
text file.

%description -l pl.UTF-8
GOCR jest programem do rozpoznawania pisma wypuszczonym na licencji
GNU GPL. Czyta obrazki w formatach pnm, pbm, pgm, ppm, niektóre pcx i
tga; jeżeli są zainstalowane narzędzia do PNM, może też czytać pnm.gz,
pnm.bz2, png,jpg, tiff, gif, bmp i inne. Wynikiem jest plik tekstowy.

%package tcl
Summary:	Tcl/Tk frontend for gocr
Summary(pl.UTF-8):	Frontend Tcl/Tk do gocr
Group:		X11/Applications/Graphics
Requires:	%{name}
Requires:	tk
# dropped, GTK+ 1.x code which nobody cared to update
Obsoletes:	gocr-gtk

%description tcl
Tcl/Tk frontend for gocr.

%description tcl -l pl.UTF-8
Frontend Tcl/Tk do gocr.

%prep
%setup -q
%if "%{_lib}" != "lib"
%patch0 -p1
%endif

%build
cp -f /usr/share/automake/config.* .
%{__aclocal}
%{__autoconf}
%configure \
	--with-netpbm=/usr
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS CREDITS HISTORY README REMARK.txt REVIEW TODO
%doc doc/{examples.txt,gocr.html,unicode.txt}
%attr(755,root,root) %{_bindir}/gocr
%{_mandir}/man1/gocr.1*

%files tcl
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gocr.tcl
%{_desktopdir}/gocr.desktop
%{_pixmapsdir}/gocr.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gocr.spec,v $
Revision 1.47  2011/05/13 23:16:25  gotar
- upgraded to 0.49

Revision 1.46  2009/11/15 13:47:06  blues
- 0.48

Revision 1.45  2009/05/01 10:30:12  duddits
- up to 0.47 (by Pawel Zuk - redstorm15 at gmail dot com)
- link.patch obsolete
- cleaning

Revision 1.44  2008/07/20 18:43:52  qboosh
- updated to 0.45
- old GTK+ 1.x GUI is gnome - dropped -gtk package, switched .desktop to gocr.tcl

Revision 1.43  2007/05/14 22:08:18  qboosh
- updated to 0.44
- updated link patch

Revision 1.42  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.41  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.40  2007/01/09 14:15:40  glen
- lib64 build fix; rel 2

Revision 1.39  2006/12/19 21:44:59  qboosh
- check-files cleanup

Revision 1.38  2006/12/19 13:23:24  glen
- add TODO

Revision 1.37  2006/12/19 12:10:14  rotom
- up to 0.43

Revision 1.36  2006/12/09 21:15:42  qboosh
- updated to 0.42

Revision 1.35  2006/11/07 22:26:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.34  2006/09/04 21:20:09  qboosh
- updated to 0.41

Revision 1.33  2005/03/28 19:34:29  qboosh
- updated to 0.40

Revision 1.32  2004/12/15 09:34:19  qboosh
- unified, strict internal dep

Revision 1.31  2004/12/14 13:32:02  glen
- R: netpbm-progs

Revision 1.30  2004/10/25 08:49:33  paladine
- [Gg]tk+ -> GTK+

Revision 1.29  2004/07/04 12:43:53  havner
- small fix

Revision 1.28  2004/07/04 12:33:53  havner
- applnk -> vfolders

Revision 1.27  2004/02/15 17:19:24  adamg
- updated to 0.39

Revision 1.26  2003/12/30 19:59:17  qboosh
- updated to 0.38

Revision 1.25  2003/08/23 12:43:43  qboosh
- killed xdirs, release 3

Revision 1.24  2003/08/18 08:08:09  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.23  2003/05/26 16:25:04  malekith
- massive attack: adding Source-md5

Revision 1.22  2003/05/25 05:48:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2003/04/08 11:29:37  qboosh
- use http for sources from sourceforge

Revision 1.20  2002/11/05 14:52:32  kloczek
- more typos.

Revision 1.19  2002/11/05 13:18:59  ankry
- typo

Revision 1.18  2002/11/05 11:21:26  kloczek
- added png icon and desktop file for GOCR.

Revision 1.17  2002/11/04 16:37:12  agaran
- upgrade do 0.37
- builds for me

Revision 1.16  2002/10/08 14:14:20  qboosh
- BR: automake

Revision 1.15  2002/06/30 10:07:11  marcus
- fixed building on ppc
- rel.2.

Revision 1.14  2002/06/16 09:27:49  kloczek
- use new %doc and more macros.

Revision 1.13  2002/05/21 23:13:19  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.12  2002/05/12 20:26:25  ankry
- changed http source URL to ftp (sourceforge)

Revision 1.11  2002/05/12 12:39:51  kloczek
- updated to 0.3.6,
- removed outdated DESTDIR patch (now in dist source code).

Revision 1.10  2002/04/25 16:28:16  arturs
- fixed a small typo

Revision 1.9  2002/04/07 08:32:17  kloczek
- release 2.

Revision 1.8  2002/02/23 02:17:47  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:29:00  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:13:10  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/09/12 16:16:01  qboosh
- grrrr... added back --prefix and --bindir options to second %configure

Revision 1.4  2001/09/11 11:33:39  kloczek
- cosmetics.

Revision 1.3  2001/09/10 16:59:19  qboosh
- 0.3.4; run autoconf (needed with new %configure macro)

Revision 1.2  2001/07/05 09:05:13  kloczek
- better Source url.

Revision 1.1  2001/07/04 16:19:22  qboosh
- new package
